commit:     23cd071cfb54f6616a8c7fdd46bbc3d2a1dd9cbe
Author:     Sebastian Pipping <sping <AT> gentoo <DOT> org>
AuthorDate: Wed Jan 13 17:25:31 2021 +0000
Commit:     Sebastian Pipping <sping <AT> gentoo <DOT> org>
CommitDate: Wed Jan 13 17:32:47 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=23cd071c

dev-vcs/git-big-picture: 1.0.0 (new package)

Signed-off-by: Sebastian Pipping <sping <AT> gentoo.org>
Package-Manager: Portage-3.0.12, Repoman-3.0.2

 dev-vcs/git-big-picture/Manifest                   |  1 +
 .../git-big-picture/git-big-picture-1.0.0.ebuild   | 32 ++++++++++++++++++++++
 dev-vcs/git-big-picture/metadata.xml               |  8 ++++++
 3 files changed, 41 insertions(+)

diff --git a/dev-vcs/git-big-picture/Manifest b/dev-vcs/git-big-picture/Manifest
new file mode 100644
index 00000000000..b4f5816e4a0
--- /dev/null
+++ b/dev-vcs/git-big-picture/Manifest
@@ -0,0 +1 @@
+DIST git-big-picture-1.0.0.tar.gz 2952246 BLAKE2B 
caf28b57399bbdc2c80feda70e2a043dc1a8ffdc1e88bc79ccec44d6857e52726961e5febe9d1dbe1230818990a291900237cc01f65e819995243cbbc47ba8a9
 SHA512 
3b5416d3802c91ee35ad31ef702ada5f23b33cd77ef4c1f15cf22bb7f7d1e3c315e100aabdca3831b56d52b1d1637afa86382f89f0a2bbc8c60970095cd53d43

diff --git a/dev-vcs/git-big-picture/git-big-picture-1.0.0.ebuild 
b/dev-vcs/git-big-picture/git-big-picture-1.0.0.ebuild
new file mode 100644
index 00000000000..6672763d608
--- /dev/null
+++ b/dev-vcs/git-big-picture/git-big-picture-1.0.0.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="7"
+
+PYTHON_COMPAT=( python3_{6..9} )
+DISTUTILS_USE_SETUPTOOLS=rdepend
+
+inherit distutils-r1
+
+DESCRIPTION="Visualization tool for Git repositories"
+HOMEPAGE="https://github.com/git-big-picture/git-big-picture";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="GPL-3+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+# No need for "[python]" or "[${PYTHON_USEDEP}]" with any of these
+# since they are invoked using subprocess
+RDEPEND="
+       dev-vcs/git
+       media-gfx/graphviz[svg]
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+       mv test.py test_some.py || die  # help pytest with test discovery
+       default
+}

diff --git a/dev-vcs/git-big-picture/metadata.xml 
b/dev-vcs/git-big-picture/metadata.xml
new file mode 100644
index 00000000000..ab886b7f038
--- /dev/null
+++ b/dev-vcs/git-big-picture/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM 'http://www.gentoo.org/dtd/metadata.dtd'>
+<pkgmetadata>
+       <maintainer type="person">
+               <email>[email protected]</email>
+               <name>Sebastian Pipping</name>
+       </maintainer>
+</pkgmetadata>

Reply via email to